
------------------------------------------------------------------------------------
-- Practica de Enginyeria del Software II / Curs 2003 - 2004                      --
-- Simulador i Controlador de Transit en Temps Real                               --
--                                                                                --
-- Funcions_Tasques.ads: Fitxer descriptor del modul Funcions_Tasques, amb les    --
--              especificacions dels procediments, funcions i tipus de dades      --
--              que s'empren en la implementacio d'aquest package.                --
-- Realitzat per: Francisco Jose Aguilar Celdran                                  --
--                Sergio Blanco Cuaresma                                          --
------------------------------------------------------------------------------------

with Tipus_Comuns; use Tipus_Comuns;
with Ciutats; use Ciutats;

package Funcions_Tasques is
   
   procedure Posicionament_Aleatori_Inicial (C: in out Ciutat; Carrers_H, Carrers_V, Carrer_H_Actual,
                                             Carrer_V_Actual,Metres_Cruilles: out Positive;
                                             Pos_Actual: out Coordenada; Id: in Positive;
                                             Tipus: in Tipus_Vehicle);

   function Actualitzar_Coordenades (C: Ciutat; Direccio_Actual: Direccio; Pos_Ini: Coordenada;
                                     Metres_Desplasats: Natural; Carrer_H_Actual,
                                     Carrer_V_Actual: Positive) return Coordenada;

   procedure Actualitzar_Carrer (C: in Ciutat; C_H, C_V: in out Positive;
                                 Direccio_Actual: in Direccio);

   procedure Decidir_Direccio_Grua (C: in Ciutat; Pos_Actual: in Coordenada; Desti_X, Desti_Y,
                                    Carrer_H, Carrer_V : in Positive; Direccio_Actual: in out Direccio;
                                    Carrer_Desti: in Positive; Dir_Desti: in Direccio);

   procedure Carrers_H_V_Immoble (C: in Ciutat; Carrer: in Positive; Dir: in Direccio;
                                  Pos: in Coordenada; Carrer_H, Carrer_V: out Positive);

end Funcions_Tasques;

