
---------------------------------------------------------------------------------------------------
-- Practica de Enginyeria del Software II / Curs 2003 - 2004                                     --
-- Simulador i Controlador de Transit en Temps Real                                              --
--                                                                                               --
-- Tipus_Comuns.ads: Fitxer descriptor amb les especificacions de tipus de dades globals,        --
--                   emprats per diversos packages de l'aplicacio.                               --
-- Realitzat per: Francisco Jose Aguilar Celdran                                                 --
--                Sergio Blanco Cuaresma                                                         --
---------------------------------------------------------------------------------------------------


package Tipus_Comuns is

   type Tipus_Vehicle is (Cotxe,Ciclomotor,Camio,Bicicleta);
   type Direccio is (Horitzontal,Vertical);
   type Orientacio_Horitzontal is (Esquerra,Dreta);
   type Orientacio_Vertical is (Amunt,Abaix);
   type Coordenada is record
      X : Natural;
      Y : Natural;   
   end record;
   type Coordenades_Cruilla is record
      Parada_H : Coordenada;
      Parada_V : Coordenada;
   end record;

end Tipus_Comuns;